Create a flow
Create a new draft flow.
curl -X POST "https://api.talkturo.com/api/flow" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe"
}'
import requests
import json
url = "https://api.talkturo.com/api/flow"
headers = {
"Content-Type": "application/json"
}
data = {
"name": "John Doe"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/flow", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "John Doe"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe"
}`)
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/flow", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/flow')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"name": "John Doe"
}'
response = http.request(request)
puts response.body
{
"id": "example_string",
"name": "John Doe",
"status": "example_string"
}
{
"id": "example_string",
"name": "John Doe",
"status": "example_string"
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/flow
Target server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.